ASA-201706-17 generated external raw

[ASA-201706-17] messagelib: information disclosure
Arch Linux Security Advisory ASA-201706-17 ========================================== Severity: Medium Date : 2017-06-14 CVE-ID : CVE-2017-9604 Package : messagelib Type : information disclosure Remote : Yes Link : https://security.archlinux.org/AVG-300 Summary ======= The package messagelib before version 17.04.2-1 is vulnerable to information disclosure. Resolution ========== Upgrade to 17.04.2-1. # pacman -Syu "messagelib>=17.04.2-1" The problem has been fixed upstream in version 17.04.2. Workaround ========== None. Description =========== KDE kmail before 5.5.2 and messagelib before 5.5.2, as distributed in KDE Applications before 17.04.2, do not ensure that a plugin's sign/encrypt action occurs during use of the Send Later feature, which allows remote attackers to obtain sensitive information by sniffing the network. Impact ====== A remote attacker who is sniffing the network may be able to obtain sensitive information when an email that should be encrypted is sent via the "Send Later with Delay" function. References ========== https://www.kde.org/info/security/advisory-20170615-1.txt https://commits.kde.org/kmail/78c5552be2f00a4ac25bd77ca39386522fca70a8 https://commits.kde.org/messagelib/c54706e990bbd6498e7b1597ec7900bc809e8197 https://security.archlinux.org/CVE-2017-9604